package stnet;


import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public abstract class ClientHandler {
	
	protected BufferedReader i;
	protected PrintWriter o;
	
	
	public void init(Socket s) throws IOException {
		System.out.println("Init Client Handler ");
		i= new BufferedReader(new InputStreamReader(s.getInputStream()));
		o= new PrintWriter(s.getOutputStream());
	}
	
	public abstract void processRequest() throws IOException; 
	
	

}
