package note;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

public class GestoreNote {
	
	private ArrayList<Nota> listaNote;
	
	private Nota ultimaNota;
	
	public GestoreNote() {
		listaNote= new ArrayList<Nota>();
		ultimaNota=null;
		inserisciNota("messaggio  1", 1);
		inserisciNota("messaggio 2", 1);
		inserisciNota("messaggio 3", 5);
		inserisciNota("messaggio 4", 10);
		inserisciNota("messaggio 5 - ultima", 1);
	}
	
	public void inserisciNota(String testo, int data){
		Nota n = new Nota(data, testo);
		ultimaNota=n;
		listaNote.add(n);
	}
	
	public String[] getNotePerData(int data){
		ArrayList<String> ret = new ArrayList<String>();
		Iterator<Nota> it= listaNote.iterator();
		while (it.hasNext()) {
			Nota nota = (Nota) it.next();
			if(nota.getData()==data){
				ret.add(nota.toString());
			}
			
		}
		return ret.toArray(new String[1]);
	}
	
	public String getUltimaNota(){
		return ultimaNota.toString();
	}
	
	public static void main(String[] args) {
		//Test gestore delle note
		GestoreNote gn = new GestoreNote();
		gn.inserisciNota("esempio 1", 1);
		gn.inserisciNota("esempio 2", 1);
		System.out.println("Ultima nota -"+gn.getUltimaNota());
		gn.inserisciNota("esempio 3", 5);
		gn.inserisciNota("esempio 4", 10);
		System.out.println("Ultima nota -"+gn.getUltimaNota());
		gn.inserisciNota("esempio 5", 1);
		System.out.println("Ultima nota -"+gn.getUltimaNota());
		
		System.out.println("Note del giorno 1 -"+Arrays.toString(gn.getNotePerData(1)));
		System.out.println("Note del giorno 10 -"+Arrays.toString(gn.getNotePerData(10)));
		System.out.println("Note del giorno 3 -"+Arrays.toString(gn.getNotePerData(3)));
		
		
		
	}
	
	

}
