package note;

import java.io.IOException;
import java.util.StringTokenizer;

import stnet.ClientHandler;
import stnet.Server;

public class GestoreNoteProtocol extends ClientHandler {
	GestoreNote gn = new GestoreNote();

	public void processRequest() throws IOException {
		// si presenta
		System.out.println("OK - Server di messaggi");
		o.println("OK - Benvnuto dal server");
		o.flush();
		
		while(true){
			//ascolta il comando
			String cmd = i.readLine();
			System.out.println("Il client ha scritto :"+cmd);
			String res;
			String comando;
			StringTokenizer st=null;
			if(!cmd.isEmpty()){
				st = new StringTokenizer(cmd);
				comando= st.nextToken();
			} else{
				comando="";
			}
			if(comando.equals("GETNOTEPERDATA")){
				if(st.hasMoreElements()){
					int num = Integer.parseInt(st.nextToken());		
					String [] all = gn.getNotePerData(num);
					for (int i = 0; i < all.length; i++) {			
						System.out.println("Rispondo :"+all[i]);
						o.println(all[i]);
					}
					o.flush();			
				} else{
					res="ERRORE";
					System.out.println("Rispondo :"+res);
					o.println(res);			
					o.flush();					
				}
			} else if(comando.equals("GETULTIMANOTA")){ 
				res = gn.getUltimaNota();
				o.println(res);			
				o.flush();			
			}else if(cmd.startsWith("QUIT")){ 
				res="BYE";
				System.out.println("Rispondo :"+res);
				o.println(res);			
				o.flush();
				break;	
			}else{
				res="ERRORE";
				System.out.println("Rispondo :"+res);
				o.println(res);			
				o.flush();
			}
		}		
	}
	
	public static void main(String[] args) {
		//Test del server (da telnet)
		new Server(new GestoreNoteProtocol());
	}
	
}
